import { useScrollToBottom as e } from "./useAutoScrollBottom.js";
import { useScrollToListItem as t } from "./useScrollToListItem.js";
//#region src/features/workbench/hooks/useWorkflowListState.ts
function n() {
	let { listRef: n, scrollTo: r } = t(), { canScrollDown: i, scrollToBottom: a } = e();
	return {
		listRef: n,
		scrollTo: r,
		canScrollDown: i,
		scrollToBottom: a
	};
}
//#endregion
export { n as useWorkflowListState };
